10.6.0 fails to start on Lubuntu

Machine-specific discussion
Unix, Linux, OS X, OS/2, Windows, ..?

10.6.0 fails to start on Lubuntu

Postby dukester » Sun Dec 28, 2014 6:32 am

I just installed newLISP v.10.6.0 for UBUNTU on i386 UTF-8 enabled in Lubuntu running in VMware on a win7 box.

Zero joy!! It wont start! I have NEWLISPDIR set, and the software is where it's supposed to be!!

Any ideas as to what is causing this WTF moment? lol ... TIA
duke
dukester
 
Posts: 90
Joined: Tue May 08, 2007 1:06 pm
Location: Alberta, Canada

Re: 10.6.0 fails to start on Lubuntu

Postby ralph.ronnquist » Mon Dec 29, 2014 8:33 am

I had a problem some months ago trying it on an oldish ubuntu, which turned out to be something with libffi or libreadline. I believe I ended up compiling my own newlisp on that host.
ralph.ronnquist
 
Posts: 178
Joined: Mon Jun 02, 2014 1:40 am
Location: Melbourne, Australia

Re: 10.6.0 fails to start on Lubuntu

Postby dukester » Mon Dec 29, 2014 1:53 pm

Thanks for the input Ralph!! My version of Lubuntu is the most recent, so there should have been zero problems - a person would have thought. :/

I suppose I could compile from source! The Win7 version installed with zero problems. I'll try re-installing the .deb package and see how it goes the 2nd time. I'm hoping that Lutz fixes this issue or at least puts up a warning that there are issues!! Thanks again!!
duke
dukester
 
Posts: 90
Joined: Tue May 08, 2007 1:06 pm
Location: Alberta, Canada

Re: 10.6.0 fails to start on Lubuntu

Postby Lutz » Mon Dec 29, 2014 2:35 pm

May be your UBUNTU installation is 64-bit and newLISP 1.60 on UBUNTU requires 32-bit OS libraries. You could try to install the development version newLISP 1.61, which starts delivering newLISP as a 64-bit app on UBUNTU.

What is the error message you are getting?
Lutz
 
Posts: 5258
Joined: Thu Sep 26, 2002 4:45 pm
Location: Pasadena, California

Re: 10.6.0 fails to start on Lubuntu

Postby dukester » Mon Dec 29, 2014 3:03 pm

Lutz wrote:May be your UBUNTU installation is 64-bit and newLISP 1.60 on UBUNTU requires 32-bit OS libraries.


That must be it!!! I am running 64-bit Lubuntu!!

You could try to install the development version newLISP 1.61, which starts delivering newLISP as a 64-bit app on UBUNTU. What is the error message you are getting?


[i]dnormandin@dnormandin-virtual-machine:~$ newlisp
bash: /usr/bin/newlisp: No such file or directory
dnormandin@dnormandin-virtual-machine:~$
dnormandin@dnormandin-virtual-machine:~$ which newlisp
/usr/bin/newlisp
dnormandin@dnormandin-virtual-machine:~$ ls /usr/bin/newlisp
/usr/bin/newlisp
dnormandin@dnormandin-virtual-machine:~$ which newlisp-edit
/usr/bin/newlisp-edit
dnormandin@dnormandin-virtual-machine:~$ ls /usr/bin/newlisp-edit
/usr/bin/newlisp-edit
dnormandin@dnormandin-virtual-machine:~$
[/i]
duke
dukester
 
Posts: 90
Joined: Tue May 08, 2007 1:06 pm
Location: Alberta, Canada

Re: 10.6.0 fails to start on Lubuntu

Postby dukester » Mon Dec 29, 2014 6:34 pm

Problem solved!!! Thank you Lutz!!!!

I installed v10.6.1 - and I'm like: "Joy to the world .........!" lol ...

Thx again!!
duke
dukester
 
Posts: 90
Joined: Tue May 08, 2007 1:06 pm
Location: Alberta, Canada


Return to newLISP and the O.S.

Who is online

Users browsing this forum: No registered users and 2 guests

cron